Skip to content

Neues Theme und aktuelle Software

Kürzlich trafen sich Teile der S9Y-Gemeinde im Linux-Hotel zum S9YCamp. Im Rahmen des Treffens wurde unter anderem eine neue Version der Blogsoftware herausgegeben. Ich habe das mal zum Anlass genommen und die Software auf den aktuellsten Stand gebracht. Ein unerwarteter Nebeneffekt war, dass mein bisher verwendetes Theme nicht mehr verfügbar war. Ich habe mich daher entschieden, zunächst RESY einzusetzen. Falls ihr ein anderes oder besseres Theme kennt, schlagt gern etwas vor. Derzeit bin ich für alle Vorschläge offen. ;-)

Serendipity 2.0

Mehr als ein halbes Jahr nach der offiziellen Ankündigung habe ich es auch geschafft, das Blog auf die Version 2.0 von Serendipity zu heben. Felix machte mich heute darauf aufmerksam, dass mein RSS-Feed kaputt ist. In der Tat gab es mit dem RSS1-Feed Probleme und so beschloss ich das längst Fällige anzugehen.

Die Software kommt auf dem Rechner aus dem Github-Archiv. So klimperte ich zuerst ohne weiter nachzudenken ein git pull in die Tastatur. Das brachte mir dann massive Merge-Konflikte ein. Denn die Version 2.0.X wird in einem anderen Branch entwickelt. Also legte ich schnell einen Branch an und wechselte in den 2er Zweig. Danach rief ich die Blog-URL auf und die Software erledigte den Rest automatisch.

Nachdem ich dann mein Blog im Browser neu geladen hatte, erwarteten mich doch einige Überraschungen. Das Layout für das Blog war weg und auch einige Plugins funktionierten nicht mehr. In der Theme-Übersicht fand ich mein altes Layout schnell wieder und instalierte das. Bei den Plugins musste ich alle kaputte manuell neu installieren. Dabei entfernte ich nicht das alte, sondern machte einfach eine Neuinstallation. Dies wurde in der Regel von einer Warnung begleitet, dass eine Mehrfachinstallation nicht möglich ist. Jedoch funktionierte am Ende alles wie gewohnt.

Jetzt versuche ich mich ein wenig in der neuen Oberfläche zurecht zu finden. Ein erster Weg dazu, ist, einen Blogartikel zu verfassen. Ich bin gespannt, was mich erwartet.

Spamschutz bei S9Y

Im Hintergrund tut Serendipity oder kurz S9Y seinen Dienst. Vor mehr als sieben Jahren stieg ich von Wordpress auf die Software um. Die Software tut im wesentlichen ihren Dienst. Außer, wenn wie heute, ein Plugin merkwürdige Sachen macht.

Ich hatte bis heute abend das Autosave-Plugin installiert. Das speichert die Einträge zwischen und soll eigentlich vor Datenverlust schützen. Bei mir sorgte es dafür, dass die Rezension mehrfach verschwand. Der Grund war, dass ich auf Speichern im Artikelfenster drückte und das Fenster offen liess. Das Plugin wollte einfach alte Werte speichern und löschte so den Beitrag.

Seit dem Jahreswechsel bereitet mir nicht die Blogsoftware Kopfschmerzen, sondern der Spam der eintrudelt. Anfangs hatte ich den Spamschutz aktiviert, den S9Y von Haus aus mitbringt. Dazu setzte ich ein paar Worte auf die Blacklist. Das reichte aus. Nebenan im Datenkanal habe ich noch das Bayes-Plugin im Einsatz. Das wurde von Beginn an angelernt und verrichtet gute Dienste.

Das S9Y Infocamp hat sich nun dem Thema Spamschutz bei S9Y angenommen. In dem Podcast besprechen sie verschiedene Mechanismen. Dabei kommt die Rede auf die SpamBee. Die arbeitet unter anderem mit versteckten CAPTCHAs. Die vier Podcaster sind voll das Lobes. Ich habe den Podcast glücklicherweise zur rechten Zeit gehört. Denn direkt nachdem ich die Biene hier installierte, traf das Blog eine Spamwelle. Von den Lesern hat das vermutlich niemand bemerkt. Die Spambiene hat den Spam wirklich sehr gut abgefangen. Wer also da draußen mit Spam bei S9Y zu kämpfen hat, sollte unbedingt SpamBee probieren. Vermutlich bringt das Plugin Linderung.

Firefox Add-On Ant Video Downloader spioniert Nutzer aus

Ein Add-On für den Firefox, welches 4 von 5 Sternen hat und von mehr als sieben Millionen Nutzer installiert wurde, sollte doch halbwegs vertrauenswürdig sein. Zumindest legt Linus’ Law diese Erkenntnis nahe. Das Add-On Ant Video Downloader straft diese Annahme nun Lügen.

Der Ant Video Downloader soll Videos von Youtube, Facebook und vielen anderen Seiten auf einfache Weise herunterladen. Daneben hat die Software noch einen anderen Zweck. Sie sammelt Daten über jede Seite, die der Benutzer besucht. Dazu wird eine eindeutige Nummer, die so genannte Ant-UID, angelegt. Wenn eine Webseite aufgerufen wird, sendet Ant eine zweite Anfrage mit eben dieser Nummer, der URL der aufgerufenen Seite sowie der Browserkennung an die Adresse rpc.ant.com.  Somit kommt dort jeder Seitenaufruf (also auch interne URLs im privaten Netzwerk) an, den ihr jemals gemacht habt. Damit aber noch nicht genug. Bei der Deinstallation der Software wird die Informationen mit der eindeutigen Nummer, der Ant-UID, behalten. Wenn ihr die Software später neu installiert, wird genau dieselbe Nummer wieder verwendet. Das ist also eine massive Verletzung der Privatsphäre der Nutzer.

Wie ein Witz klingt da die Privacy Policy von Ant.com:

As a responsible member of the community of website owners, Ant.com solutions (Here in after Ant.com) takes the privacy and security of its users with the highest regard.

Insgesamt finde ich in der Policy keinen Hinweis auf diese Spionagemaßnahme. Glücklicherweise haben die Betreiber der Add-On-Seite die Notbremse gezogen. Zunächst wurde der Download der Software komplett deaktiviert und jetzt ist diese als experimentell gekennzeichnet. Damit sollten nur erfahrenere Nutzer diese installieren können.

Das Beispiel zeigt mal wieder, das man sich offensichtlich auf keine Software verlassen kann und insbesondere das die Warnungen bezüglich der Add-Ons sehr ernst zu nehmen sind.

via InterWeb Task Force und The Register

Neue Schrift fürs Terminal

Das Wagnis startete heute nachmittag. Nach diversen Backup-Orgien war es an der Zeit, das Ubuntu auf die aktuelle Variante 10.04 zu upgraden. Ich wollte mal testen, ob das weitgehend klappt und hatte mich innerlich auf eine Neuinstallation eingerichtet. Doch, oh Wunder, bislang konnte ich kaum Probleme feststellen. Eines, was sofort auffiel, war die Schrift. Die ist bislang noch sehr ungenügend hier muss ich eine Lösung finden. Das zweite Problem war der Spamfilter CRM114. Das wurde aber schon während der Installation angekündigt, dass es Probleme geben kann. Bei der Suche nach der korrekten Schriftart stieß ich u.a. auch auf Comic Sans. Das wäre doch die beste Wahl:

GNOME Terminal in Comic Sans

Geany mit dem LaTeX-Plugin

Heute geht es in der Reihe mit einem grafischen Programm weiter. Frank bewirbt schon lange sein Baby Geany. Das ist ein Gtk-basierter Editor. Ich kenne einige Leute, die den gern nutzen. Frank hat für Geany ein LaTeX-Plugin geschrieben. Daher kann der Editor bequem mit LaTeX umgehen.

Nach dem ersten Öffnen des Programms sieht man die Menüleiste und drei Flächen, Symbole, Statusfenster und die Eingabefläche für den Text. Das LaTeX-Plugin arbeitet nicht kontextbezogen, d.h. es ist entweder immer an oder immer aus. Um es zu aktivieren, klickt man auf Werkzeuge -> Plugin Manager (Wieso fehlt hier eigentlich der Trennstrich?) und aktiviert das Feld LaTeX. Damit erscheint im Menü Werkzeuge ein neuer Eintrag LaTeX. Fortan steht das Plugin zur Verfügung.

Beim Öffnen einer leeren Datei passiert zunächst nichts. Startet man beispielsweise mit der Eingabe von \documentclass, so bietet Geany nach den ersten drei Zeichen eine Vervollständigung an. Bei mehreren Optionen kann der Nutzer mit der Cursor- oder Maustaste das Gewünschte wählen. Schön wäre, wenn zusätzlich zum Namen des Befehls geschweifte Klammern eingebaut werden würden. Weiterhin würde ich mir bei Befehlen wie \documentclass oder \usepackage eine Auswahlliste wünschen. Das vereinfacht die Eingabe und vermeidet Fehler.

Eine bequemere Variante ist der LaTeX-Assistent. Er ist über Werkzeuge -> LaTeX -> LaTeX-Assistent zu erreichen. Über ein grafisches Menü kann der Nutzer wählen, welche Klasse, Zeichensatz etc. er benutzen will. Bei der Dokumentklasse bleibt im Menü unklar, welche Klassen (KOMA-Script, Beamer etc.) verwendet werden. Weiterhin gibt es genau eine Brief-, Artikelklasse usw. Während bei der Auswahl von Buch, Artikel und Bericht die KOMA-Script-Klassen benutzt werden, wird bei der Auswahl von Brief die Klasse letter eingebunden. Ich würde mir entweder mehr Auswahlmöglichkeiten oder eine bessere Bezeichnung im Menü wünschen. Die Auswahl des Zeichensatzes birgt einen Bug. Wählt der Nutzer Sonstiges als Zeichensatz (Was soll das sein?), so ergibt sich im Dokument die Ausgabe \usepackage[% \title{}, d.h. hier fehlt eine schließende Klammer und LaTeX wird beim Übersetzen auf die Nase fallen. Das Menüfeld Schriftgröße bietet zum einen eine Vorauswahl, lässt sich aber auch frei beschreiben. Der Grund wird mir nicht so recht klar. Schließlich sind als Papiergröße nur A4, A5 und A6 gelistet. Gerade die gängigere Letter-Größe fehlt.

Für den regelmäßigen Schreiber von LaTeX-Texten empfiehlt sich ein Template. Diese Datei sollte im Verzeichnis ~/.config/geany/templates/files liegen und die Dateiendung .tex besitzen. In dem Falle kann die Vorlage über Datei -> Neu (aus Vorlage) gewählt werden.

Schließlich kann Geany bestehende Dateien öffnen. ;-) Dabei liest der Editor die Datei einmal komplett durch und versucht, Informationen zu extrahieren. Diese finden sich in der linken Fläche Symbole. Dort sind Kommandos, Abschnittsüberschriften, Labels etc. gelistet. Ich finde, gerade die Auflistung der Abschnittsüberschriften hinterlässt mehr Verwirrung als Klarheit. Denn zum einen sind diese alphabetisch geordnet und dann auch getrennt nach Überschriftsebenen. Mir wäre es lieber, wenn sie nach dem Vorkommen im Text geordnet wären. Die Liste der Umgebungen ist für mich ebenfalls ohne Nutzwert, denn diese ist wieder alphabetisch geordnet und verzeichnet nur den Namen der Umgebung (itemize, figure, table etc.).

Nun kommt der große Moment, wo wir Text eingeben können. Doch schon die Eingabe einer Überschrift erscheint schwierig. Ich fand keine Hilfe bei der Eingabe, außer der bereits oben erwähnten Auswahlliste bei der Eingabe von drei Buchstaben. Doch gerade auf einer deutschen Tastatur führt die häufige Eingabe des Backslash bei mir zu Schmerzen in der Hand. Daher versuche ich das zu umgehen und Geany ist dann direkt körperlich anstrengend. Umgebungen können mittels des Menüs eingegeben werden. Meines Wissens gibt es hierfür keine standardmäßige Tastaturkombination. Wenn man sich eine anlegt, wird die Arbeit zumindest ein wenig erleichtert. Jedoch wäre es sehr wünschenswert, wenn bei der Auswahl einer Liste gleich ein erstes \item eingefügt würde und bei der table-Umgebung könnten ähnlich zu AUCTeX gleich diverse Optionen abgefragt werden.

Beim Mathesatz sieht die Lage nicht viel besser aus. Im wesentlichen muss jedes Zeichen per Hand eingegeben werden. Das ist eine Menge Tipparbeit und recht umständlich. Gerade für Anfänger kann ich daher Geany nicht empfehlen. Denn ich vermute, die werden schnell gefrustet sein.

Alles in allem ist Geany für mich der erste Editor, den ich im wesentlichen für nicht benutzbar halte (wohlgemerkt für meine Zwecke!). Außer wenigen kleinen Änderungen in einer Datei möchte ich keine größeren Änderungen an einer LaTeX-Datei vornehmen müssen. Denn das fühlt sich umständlich an und wird in meinem Fall mit der Zeit schmerzvoll.

tweetbackcheck